<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Programamos</title>
</head>

<body>
    <h1>Sumar</h1>
    <br><br>
    <form>
        <label for="num1">Numero 1</label>
        <input type="text" name="num1" id="num1">
        <br><br>
        <label for="num2">Numero 2</label>
        <input type="text" name="num2" id="num2">
        <br><br>
        <input id="sumar" type="button" value="Sumar">
        <input id="restar" type="button" value="Restar">

        <p id="resultado"></p>
    </form>

    <script>
        document.getElementById("sumar").addEventListener('click', function () {

            var num1 = parseInt(document.getElementById("num1").value);
            var num2 = parseInt(document.getElementById("num2").value);

            var num3 = num1 + num2;
            console.log(`El resultado de la suma de ${num1} + ${num2} = ${num3}`);
        });

        document.getElementById("restar").addEventListener('click', function () {
            var num1 = parseInt(document.getElementById("num1").value);
            var num2 = parseInt(document.getElementById("num2").value);

            var num3 = num1 - num2;
            console.log(`El resultado de la suma de ${num1} - ${num2} = ${num3}`);

            document.getElementById("resultado").innerHTML = `El resultado de la suma de ${num1} - ${num2} = ${num3}`;
        });
    </script>
</body>

</html>